octave gui does not run

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

octave gui does not run

tmacchant
Platform Ubuntu 16.04, gcc 5.4.0
Stable source b940e457e11f


I have tried to execute octave gui

./run-octave --gui

But CLI octave start.

I this a bug? Have to I file to bug tracker?

Tatsuro


Reply | Threaded
Open this post in threaded view
|

Re: octave gui does not run

Daniel Sebald
On 03/30/2018 06:44 PM, Tatsuro MATSUOKA wrote:

> Platform Ubuntu 16.04, gcc 5.4.0
> Stable source b940e457e11f
>
>
> I have tried to execute octave gui
>
> ./run-octave --gui
>
> But CLI octave start.
>
> I this a bug? Have to I file to bug tracker?

Possibly.  Check your config.log file to see that it says

build1 # grep "Qt GUI" config.log
   Build Octave Qt GUI:                  yes

If your log indicates "no" that is probably why the --gui option has no
effect.  If this is the case, it might still be undesirable to continue
with the CLI mode if "--gui" is specified and there is no GUI.

Dan

Reply | Threaded
Open this post in threaded view
|

Re: octave gui does not run

bpabbott
Administrator
In reply to this post by tmacchant
> On Mar 30, 2018, at 16:44, Tatsuro MATSUOKA <[hidden email]> wrote:
>
> Platform Ubuntu 16.04, gcc 5.4.0
> Stable source b940e457e11f
>
>
> I have tried to execute octave gui
>
> ./run-octave --gui
>
> But CLI octave start.
>
> I this a bug? Have to I file to bug tracker?
>
> Tatsuro

I had the same experience on macOS. After a fresh pull/update and configure/make the GUI worked.

I suspect the problem occurs when auto-tools triggers and configure (my configure process includes setting some environment variables).

Ben
Reply | Threaded
Open this post in threaded view
|

Re: octave gui does not run

tmacchant
In reply to this post by Daniel Sebald
----- Original Message -----

> From: Daniel J Sebald
> To: Tatsuro MATSUOKA
> Cc:
> Date: 2018/3/31, Sat 09:36
> Subject: Re: octave gui does not run
>
> On 03/30/2018 06:44 PM, Tatsuro MATSUOKA wrote:
>>  Platform Ubuntu 16.04, gcc 5.4.0
>>  Stable source b940e457e11f
>>
>>
>>  I have tried to execute octave gui
>>
>>  ./run-octave --gui
>>
>>  But CLI octave start.
>>
>>  I this a bug? Have to I file to bug tracker?
>
> Possibly.  Check your config.log file to see that it says
>
> build1 # grep "Qt GUI" config.log
>   Build Octave Qt GUI:                  yes
>
> If your log indicates "no" that is probably why the --gui option has
> no effect.  If this is the case, it might still be undesirable to continue with
> the CLI mode if "--gui" is specified and there is no GUI.
>
> Dan
Dan

You are right.
Recent change cause trouble qt and osmesa.

configure:70107: result: no
configure:70172: checking Qt version 5
configure:70209: checking for QT
configure:70217: $PKG_CONFIG --exists --print-errors "$QT_MODULES"
Package Qt5Help was not found in the pkg-config search path.
Perhaps you should add the directory containing `Qt5Help.pc'
to the PKG_CONFIG_PATH environment variable
No package 'Qt5Help' found
configure:70220: $? = 1
configure:70235: $PKG_CONFIG --exists --print-errors "$QT_MODULES"
Package Qt5Help was not found in the pkg-config search path.
Perhaps you should add the directory containing `Qt5Help.pc'
to the PKG_CONFIG_PATH environment variable
No package 'Qt5Help' found
configure:70238: $? = 1
No package 'Qt5Help' found
configure:70266: result: no
configure:73381: WARNING: Qt libraries not found; disabling Qt GUI
configure:73542: checking osmesa.h usability
configure:73542: g++ -std=gnu++11 -c -g -O2 -pthread -fopenmp   conftest.cpp >&5
conftest.cpp:831:20: fatal error: osmesa.h: No such file or directory

I have file to bug tracker.

  <http://savannah.gnu.org/bugs/?53529>


Thanks for pointer.

Tatsuro


Reply | Threaded
Open this post in threaded view
|

[Solved!!] Re: octave gui does not run

tmacchant




----- Original Message -----

> From: Tatsuro MATSUOKA
> To: Daniel J Sebald ; "octave-maintainers
> Cc:
> Date: 2018/3/31, Sat 15:10
> Subject: Re: octave gui does not run
>
> ----- Original Message -----
>
>>  From: Daniel J Sebald
>>  To: Tatsuro MATSUOKA
>>  Cc:
>>  Date: 2018/3/31, Sat 09:36
>>  Subject: Re: octave gui does not run
>>
>>  On 03/30/2018 06:44 PM, Tatsuro MATSUOKA wrote:
>>>   Platform Ubuntu 16.04, gcc 5.4.0
>>>   Stable source b940e457e11f
>>>
>>>
>>>   I have tried to execute octave gui
>>>
>>>   ./run-octave --gui
>>>
>>>   But CLI octave start.
>>>
>>>   I this a bug? Have to I file to bug tracker?
>>
>>  Possibly.  Check your config.log file to see that it says
>>
>>  build1 # grep "Qt GUI" config.log
>>    Build Octave Qt GUI:                  yes
>>
>>  If your log indicates "no" that is probably why the --gui option
> has
>>  no effect.  If this is the case, it might still be undesirable to continue
> with
>>  the CLI mode if "--gui" is specified and there is no GUI.
>>
>>  Dan
> Dan
>
> You are right.
> Recent change cause trouble qt and osmesa.
>
> configure:70107: result: no
> configure:70172: checking Qt version 5
> configure:70209: checking for QT
> configure:70217: $PKG_CONFIG --exists --print-errors "$QT_MODULES"
> Package Qt5Help was not found in the pkg-config search path.
> Perhaps you should add the directory containing `Qt5Help.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'Qt5Help' found
> configure:70220: $? = 1
> configure:70235: $PKG_CONFIG --exists --print-errors "$QT_MODULES"
> Package Qt5Help was not found in the pkg-config search path.
> Perhaps you should add the directory containing `Qt5Help.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'Qt5Help' found
> configure:70238: $? = 1
> No package 'Qt5Help' found
> configure:70266: result: no
> configure:73381: WARNING: Qt libraries not found; disabling Qt GUI
> configure:73542: checking osmesa.h usability
> configure:73542: g++ -std=gnu++11 -c -g -O2 -pthread -fopenmp   conftest.cpp
>> &5
> conftest.cpp:831:20: fatal error: osmesa.h: No such file or directory
>
> I have file to bug tracker.
>
>   <http://savannah.gnu.org/bugs/?53529>
>
>
> Thanks for pointer.
>
> Tatsuro

With Dan's suggestion I could build octave stable with GUI again.
Workaound for Ubnutu 16.04 is written in the below

<a href="https://savannah.gnu.org/bugs/?53529#comment#3">https://savannah.gnu.org/bugs/?53529#comment#3

HTH

Tatsuro